<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<div th:fragment="pager (url, page, content)">

    <ul class="pagination">
        <li class="page-item disabled">
            <a class="page-link" href="#" tabindex="-1">Pages</a>
        </li>
        <li th:with="isActivePage=(${p==page.getNumber()})"
                th:each = "p : ${#numbers.sequence(1, page.getTotalPages()-1)}"
            th:class="page-item + (${isActivePage}? ' active')">
            <a
                    class="page-link"
                    th:href="@{/home(page=${p},size=${page.getSize()})}"
                    th:text = "${p}">
            </a>
        </li>
    </ul>

    <ul class="pagination">
        <li class="page-item disabled">
            <a class="page-link" href="#" tabindex="-1">Count elements</a>
        </li>
        <li th:with="isSameMeasure=(${c==page.getSize()})"
                th:each = "c : ${elementsOnPageArray}"
            th:class="page-item + (${isSameMeasure}? ' active')">
            <a
                    class="page-link"
                    th:href="@{/home(page=${page.getNumber()},size=${c})}"
                    th:text = "${c}">
            </a>
        </li>
    </ul>

    <div class="card-columns" th:fragment="user-locations" id="locations-list">
        <div th:each="location : ${page.content}" class="card" style="width: 18rem;">
            <img class="card-img-top" alt="Card image cap"/>
            <div class="card-body">
                <h5 class="card-title">Card title</h5>
                <p class="card-text"
                   th:text = "${location.user.username} + ' '+ ${location.radius} + ${location.dimension}">
                </p>
                <a th:href="@{/user-locations/{authorId}(authorId=${location.user.id})}"
                   th:text="${location.user.username}">
                </a>
                <a class="btn btn-primary"
                   th:if="${location.user.id == session['SPRING_SECURITY_CONTEXT'].authentication.principal.id} "
                   th:href="@{/user-locations/{authorId}(authorId=${location.user.id},location=${location.id})}"
                   th:text="Edit"
                />
            </div>
        </div>
    </div>
</div>